| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
uiCircleItem Class Reference
uiBase

`#include <uigraphicsitemimpl.h>`

Inheritance diagram for uiCircleItem:
[legend]

## Public Member Functions
| uiCircleItem ()
| uiCircleItem (const uiPoint &center, int r)
| uiCircleItem (int r)
| ~uiCircleItem ()
void | setRadius (int)
Public Member Functions inherited from uiEllipseItem
| uiEllipseItem ()
| uiEllipseItem (const uiPoint &center, const uiSize &)
| uiEllipseItem (const uiSize &)
| ~uiEllipseItem ()
QGraphicsEllipseItem * | qEllipseItem ()
void | setSize (const uiSize &)
Public Member Functions inherited from uiGraphicsItem
| uiGraphicsItem ()
| ~uiGraphicsItem ()
virtual OD::ButtonState | acceptedMouseButtonsEnabled () const
void | addChild (uiGraphicsItem *, bool checkifnew=true)
void | addChildSet (uiGraphicsItemSet &)
virtual uiRect | boundingRect () const
virtual uiGraphicsItem * | findItem (QGraphicsItem *)
uiGraphicsItem * | getChild (int)
Geom::Point2D< float > | getPos () const
float | getRotation ()
void | getScale (float &sx, float &sy)
float | getTransparency () const
int | getZValue () const
void | hide ()
int | id () const
virtual bool | isFiltersChildEventsEnabled () const
virtual bool | isHoverEventsAccepted () const
bool | isItemIgnoresTransformationsEnabled () const
virtual bool | isMovable () const
bool | isPresent (const uiGraphicsItem &) const
virtual bool | isSelectable () const
virtual bool | isSelected () const
virtual bool | isVisible () const
void | moveBy (float x, float y)
int | nrChildren () const
QGraphicsItem * | qGraphicsItem ()
const QGraphicsItem * | qGraphicsItem () const
void | removeAll (bool withdelete)
void | removeChild (uiGraphicsItem *, bool withdelete)
void | removeChildSet (uiGraphicsItemSet &)
void | rotate (float angle)
void | scale (float sx, float sy)
virtual void | setAcceptedMouseButtons (OD::ButtonState)
virtual void | setAcceptHoverEvents (bool)
void | setCursor (const MouseCursor &)
virtual void | setFillColor (const OD::Color &, bool usetransp=false)
virtual void | setFillPattern (const FillPattern &)
virtual void | setFiltersChildEvents (bool)
virtual void | setGradientFill (int x1, int y1, int x2, int y2, const TypeSet< float > &stops, const TypeSet< OD::Color > &colors)
void | setItemIgnoresTransformations (bool)
virtual void | setMovable (bool)
virtual void | setPenColor (const OD::Color &, bool usetransp=false)
virtual void | setPenStyle (const OD::LineStyle &, bool usetransp=false)
void | setPos (const Geom::Point2D< float > &)
void | setPos (const uiPoint &p)
void | setPos (const uiWorldPoint &)
void | setPos (float x, float y)
void | setRotation (float angle)
void | setScale (float sx, float sy)
virtual void | setScene (uiGraphicsScene *)
virtual void | setSelectable (bool)
virtual void | setSelected (bool)
void | setToolTip (const uiString &)
virtual void | setTransparency (float)
virtual void | setVisible (bool)
void | setZValue (int)
void | show ()
uiPoint | transformToScenePos (const uiPoint &itmpos) const
virtual void | translateText ()
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Public Attributes inherited from uiGraphicsItem
CNotifier< uiGraphicsItem, const MouseEvent & > | leftClicked
CNotifier< uiGraphicsItem, const MouseEvent & > | rightClicked
Protected Member Functions inherited from uiEllipseItem
QGraphicsItem * | mkQtObj () override
Protected Member Functions inherited from uiGraphicsItem
| uiGraphicsItem (QGraphicsItem *)
virtual void | stPos (float, float)
Protected Attributes inherited from uiEllipseItem
QGraphicsEllipseItem * | qellipseitem_
Protected Attributes inherited from uiGraphicsItem
ObjectSet< uiGraphicsItem > | children_
uiGraphicsItem * | parent_
QGraphicsItem * | qgraphicsitem_
uiGraphicsScene * | scene_
bool | selected_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiCircleItem() [1/3]

uiCircleItem::uiCircleItem | ( |  | ) |

## ◆ uiCircleItem() [2/3]

uiCircleItem::uiCircleItem | ( | int | r | ) |

## ◆ uiCircleItem() [3/3]

uiCircleItem::uiCircleItem | ( | const uiPoint & | center,
|  | int | r )

## ◆ ~uiCircleItem()

uiCircleItem::~uiCircleItem | ( |  | ) |

## Member Function Documentation

## ◆ setRadius()

void uiCircleItem::setRadius | ( | int |  | ) |

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025